#!/bin/sh

function encodeFile {
	#base=`basename "$file"`;
	
	encodeBlackList $file
	#encodeWhiteList $file
	#realEncode $file
}

function encodeBlackList {
	base=`basename "$file"`;
	for name in ${blackList[@]}
		do
		if [ $name == $base ]
		then 
			echo "skipping "$base
			return
		fi
	done
	
    realEncode $file
}

function encodeWhiteList {
	local proceed=false;
	for name in ${whiteList[@]} 
	do
		if [ $name == $base ]
		then 
			proceed=true;
			break
		fi
	done
	
	if [ $proceed == true ]
	then
		realEncode $file
    else
    	echo "skipping "$base
    fi
}

function makeEncode {
	echo "encoding file "$file
	cwebp $file -m 6 -q 80 -o ${file}"pl"
}

function realEncode {
	size=`ls -l $file | awk '{print $5}'`
    makeEncode $file
    newSize=`ls -l ${file}pl | awk '{print $5}'`
    echo "file ${base} ${size} -> ${newSize}"
    
    if [ $newSize -lt $size ]
	then
		echo "using split"
    	rm $file
    else
    	echo "using normal"
    	rm $file"pl"
    fi
}

##########    MAIN

if [ -z "$WEBP_IS_BUILD_SERVER" ]; then
    echo "Build server variable not found"
    exit 0
fi  

whiteList=`cat 'encodingWhiteList.txt'`
blackList=`cat 'encodingBlackList.txt'`

currentDir=`pwd`
echo "current dir is "$currentDir

cd "$1"

for file in *.png; do
	#echo $file
    encodeFile $file 
done

cd "$currentDir"